# DL Verify Link

`POST https://api.agilitycredit.net/v3/links/dlv`

Docs page: https://apidocs.agilitycredit.com/api/create-dlv-link · Tag: Links

This endpoint allows for the validation of a driver's license, ID card, or military ID using Agility's  verification service by sending an email or a text message and returning a link.

Authentication: `Authorization: Bearer <api key>`.

## Parameters

| Name | In | Required | Description |
| --- | --- | --- | --- |
| `Idempotency-Key` | header | yes | A unique, idempotent key. We recommend to use a guid |
| `Agc-Tenant-Id` | header | yes | The tenant ID provided by Agility Credit. |
| `Agc-User-Id` | header | yes | The requestor user ID. |

## Request body (`application/json`)

DL Verify Link request payload

Schema: `DLVerifyLink`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `phone` | string |  | The phone number of the applicant in E.164 format. |
| `email` | string (email) |  | The email of the applicant in RFC 5322 format. |
| `applicant_name` | string |  | The name of the applicant. |

## Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | DL Verify Link processed successfully | DLVerifyLinkResponse |
| 400 | Bad Request | BadRequestResponseDLVerifyLink |
| 401 | Unauthorized | UnauthorizedResponse |
| 429 | Too Many Requests | TooManyRequestsResponse |
| 500 | Internal Server Error | AgilityServerErrorResponse |
Top-level 200 fields: `dlv_link`.

### Error bodies

400:

```json
{
  "status": "Bad Request - Validation Failed",
  "error": "Failed schema validation. Error: data.phone must match pattern ^\\+[1-9]\\d{1,14}$, Path: ['data', 'phone'], Data: 1234567890"
}
```

401:

```json
{
  "message": "Unauthorized"
}
```

429:

```json
{
  "error": "Too Many Requests"
}
```

500:

```json
{
  "message": "Agility Server Error"
}
```
